Relationship

Create a relationship

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

When creating a relationship, you must include either a source_contact and destination_contact or a source_company and destination_company

relationship_type and details are optional.

{
  "source_contact": "/v1/contacts/1000",
  "destination_contact": "/v1/contacts/1001",
  "relationship_type": "/v1/relationship_types/1000",
  "details": "Married in 2015"
}

A record can't be related to itself. A successful request returns 201 Created with the new relationship's reference, e.g. {"location": "/v1/relationships/1000"}.

You can also create relationships from either record, through a contact's contacts list or a company's companies list.

Body Params
string

Reference of the source contact, e.g. /v1/contacts/1000.

string

Reference of the destination contact, e.g. /v1/contacts/1001.

string

Reference of the source company, e.g. /v1/companies/1000.

string

Reference of the destination company, e.g. /v1/companies/1001.

string

Reference of the relationship type, e.g. /v1/relationship_types/1000. Optional; send null to remove it.

string

Details (max 512 characters).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json